(function () {
    let path = location.origin + '/assets/icons/svg/';
    $.get(
        path + '/user-management.svg',
        function (t) {
            let iconClass = $('i.user-management-ico');
            $(iconClass).html(t);
            let i = $('i.user-management-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.user-management-ico').empty().html(i);
            $('html').css('--user-management-ico-svg', 'url(' + path + '/user-management.svg)');
        },
        'text'
    )
    $.get(
        path + '/dashboard.svg',
        function (t) {
            let iconClass = $('i.dashboard-ico');
            $(iconClass).html(t);
            let i = $('i.dashboard-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.dashboard-ico').empty().html(i);
            $('html').css('--dashboard-ico-svg', 'url(' + path + '/dashboard.svg)');
        },
        'text'
    )
    $.get(
        path + '/employee-management.svg',
        function (t) {
            let iconClass = $('i.employee-management-ico');
            $(iconClass).html(t);
            let i = $('i.employee-management-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.employee-management-ico').empty().html(i);
            $('html').css('--employee-management-ico-svg', 'url(' + path + '/employee-management.svg)');
        },
        'text'
    )
    $.get(
        path + '/breeding-management.svg',
        function (t) {
            let iconClass = $('i.breeding-management-ico');
            $(iconClass).html(t);
            let i = $('i.breeding-management-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.breeding-management-ico').empty().html(i);
            $('html').css('--breeding-management-ico-svg', 'url(' + path + '/breeding-management.svg)');
        },
        'text'
    )

    $.get(
        path + '/health-management.svg',
        function (t) {
            let iconClass = $('i.health-management-ico');
            $(iconClass).html(t);
            let i = $('i.health-management-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.health-management-ico').empty().html(i);
            $('html').css('--health-management-ico-svg', 'url(' + path + '/health-management.svg)');
        },
        'text'
    )
    $.get(
        path + '/feed-management.svg',
        function (t) {
            let iconClass = $('i.feed-management-ico');
            $(iconClass).html(t);
            let i = $('i.feed-management-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.feed-management-ico').empty().html(i);
            $('html').css('--feed-management-ico-svg', 'url(' + path + '/feed-management.svg)');
        },
        'text'
    )
    $.get(
        path + '/disposal.svg',
        function (t) {
            let iconClass = $('i.disposal-ico');
            $(iconClass).html(t);
            let i = $('i.disposal-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.disposal-ico').empty().html(i);
            $('html').css('--disposal-ico-svg', 'url(' + path + '/disposal.svg)');
        },
        'text'
    )
    $.get(
        path + '/daily-action.svg',
        function (t) {
            let iconClass = $('i.daily-action-ico');
            $(iconClass).html(t);
            let i = $('i.daily-action-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.daily-action-ico').empty().html(i);
            $('html').css('--daily-action-ico-svg', 'url(' + path + '/daily-action.svg)');
        },
        'text'
    )
    $.get(
        path + '/alert-action.svg',
        function (t) {
            let iconClass = $('i.alert-action-ico');
            $(iconClass).html(t);
            let i = $('i.alert-action-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.alert-action-ico').empty().html(i);
            $('html').css('--alert-action-ico-svg', 'url(' + path + '/alert-action.svg)');
        },
        'text'
    )
    $.get(
        path + '/general-report.svg',
        function (t) {
            let iconClass = $('i.general-report-ico');
            $(iconClass).html(t);
            let i = $('i.general-report-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.general-report-ico').empty().html(i);
            $('html').css('--general-report-ico-svg', 'url(' + path + '/general-report.svg)');
        },
        'text'
    )
    $.get(
        path + '/daily-report.svg',
        function (t) {
            let iconClass = $('i.daily-report-ico');
            $(iconClass).html(t);
            let i = $('i.daily-report-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.daily-report-ico').empty().html(i);
            $('html').css('--daily-report-ico-svg', 'url(' + path + '/daily-report.svg)');
        },
        'text'
    )
    $.get(
        path + '/monthly-report.svg',
        function (t) {
            let iconClass = $('i.monthly-report-ico');
            $(iconClass).html(t);
            let i = $('i.monthly-report-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.monthly-report-ico').empty().html(i);
            $('html').css('--monthly-report-ico-svg', 'url(' + path + '/monthly-report.svg)');
        },
        'text'
    )
    $.get(
        path + '/custom-report.svg',
        function (t) {
            let iconClass = $('i.custom-report-ico');
            $(iconClass).html(t);
            let i = $('i.custom-report-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.custom-report-ico').empty().html(i);
            $('html').css('--custom-report-ico-svg', 'url(' + path + '/custom-report.svg)');
        },
        'text'
    )
    $.get(
        path + '/action-parameter.svg',
        function (t) {
            let iconClass = $('i.action-parameter-ico');
            $(iconClass).html(t);
            let i = $('i.action-parameter-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.action-parameter-ico').empty().html(i);
            $('html').css('--action-parameter-ico-svg', 'url(' + path + '/action-parameter.svg)');
        },
        'text'
    )
    $.get(
        path + '/general-settings.svg',
        function (t) {
            let iconClass = $('i.general-settings-ico');
            $(iconClass).html(t);
            let i = $('i.general-settings-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.general-settings-ico').empty().html(i);
            $('html').css('--general-settings-ico-svg', 'url(' + path + '/general-settings.svg)');
        },
        'text'
    )
    $.get(
        path + '/app-settings.svg',
        function (t) {
            let iconClass = $('i.app-settings-ico');
            $(iconClass).html(t);
            let i = $('i.app-settings-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.app-settings-ico').empty().html(i);
            $('html').css('--app-settings-ico-svg', 'url(' + path + '/app-settings.svg)');
        },
        'text'
    )
    $.get(
        path + '/arrow-back.svg',
        function (t) {
            let iconClass = $('i.arrow-back-ico');
            $(iconClass).html(t);
            let i = $('i.arrow-back-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.arrow-back-ico').empty().html(i);
            $('html').css('--arrow-back-ico-svg', 'url(' + path + '/arrow-back.svg)');
        },
        'text'
    )
    $.get(
        path + '/arrow-down.svg',
        function (t) {
            let iconClass = $('i.arrow-down-ico');
            $(iconClass).html(t);
            let i = $('i.arrow-down-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.arrow-down-ico').empty().html(i);
            $('html').css('--arrow-down-ico-svg', 'url(' + path + '/arrow-down.svg)');
        },
        'text'
    )
    $.get(
        path + '/copy.svg',
        function (t) {
            let iconClass = $('i.copy-ico');
            $(iconClass).html(t);
            let i = $('i.copy-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.copy-ico').empty().html(i);
            $('html').css('--copy-ico-svg', 'url(' + path + '/copy.svg)');
        },
        'text'
    )
    $.get(
        path + '/delete.svg',
        function (t) {
            let iconClass = $('i.delete-ico');
            $(iconClass).html(t);
            let i = $('i.delete-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.delete-ico').empty().html(i);
            $('html').css('--delete-ico-svg', 'url(' + path + '/delete.svg)');
        },
        'text'
    )
    $.get(
        path + '/edit.svg',
        function (t) {
            let iconClass = $('i.edit-ico');
            $(iconClass).html(t);
            let i = $('i.edit-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.edit-ico').empty().html(i);
            $('html').css('--edit-ico-svg', 'url(' + path + '/edit.svg)');
        },
        'text'
    )
    $.get(
        path + '/minus.svg',
        function (t) {
            let iconClass = $('i.minus-ico');
            $(iconClass).html(t);
            let i = $('i.minus-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.minus-ico').empty().html(i);
            $('html').css('--minus-ico-svg', 'url(' + path + '/minus.svg)');
        },
        'text'
    )
    $.get(
        path + '/plus.svg',
        function (t) {
            let iconClass = $('i.plus-ico');
            $(iconClass).html(t);
            let i = $('i.plus-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.plus-ico').empty().html(i);
            $('html').css('--plus-ico-svg', 'url(' + path + '/plus.svg)');
        },
        'text'
    )
    $.get(
        path + '/print.svg',
        function (t) {
            let iconClass = $('i.print-ico');
            $(iconClass).html(t);
            let i = $('i.print-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.print-ico').empty().html(i);
            $('html').css('--print-ico-svg', 'url(' + path + '/print.svg)');
        },
        'text'
    )
    $.get(
        path + '/search.svg',
        function (t) {
            let iconClass = $('i.search-ico');
            $(iconClass).html(t);
            let i = $('i.search-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.search-ico').empty().html(i);
            $('html').css('--search-ico-svg', 'url(' + path + '/search.svg)');
        },
        'text'
    )

    $.get(
        path + '/milk-production.svg',
        function (t) {
            let iconClass = $('i.milk-production-ico');
            $(iconClass).html(t);
            let i = $('i.milk-production-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.milk-production-ico').empty().html(i);
            $('html').css('--milk-production-ico-svg', 'url(' + path + '/milk-production.svg)');
        },
        'text'
    )

    $.get(
        path + '/bx_sort.svg',
        function (t) {
            let iconClass = $('i.sort-ico');
            $(iconClass).html(t);
            let i = $('i.sort-ico svg').addClass('icon-svg sort-icon sort-icon-all').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.sort-ico').empty().html(i);
            $('html').css('--sort-ico-svg', 'url(' + path + '/bx_sort.svg)');
        },
        'text'
    )
    $.get(
        path + '/sort-ascending.svg',
        function (t) {
            let iconClass = $('i.sort-ascending-ico');
            $(iconClass).html(t);
            let i = $('i.sort-ascending-ico svg').addClass('icon-svg sort-icon sort-icon-ascending').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.sort-ascending-ico').empty().html(i);
            $('html').css('--sort-ascending-ico-svg', 'url(' + path + '/sort-ascending.svg)');
        },
        'text'
    )
    $.get(
        path + '/sort-descending.svg',
        function (t) {
            let iconClass = $('i.sort-descending-ico');
            $(iconClass).html(t);
            let i = $('i.sort-descending-ico svg').addClass('icon-svg sort-icon sort-icon-descending').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.sort-descending-ico').empty().html(i);
            $('html').css('--sort-descending-ico-svg', 'url(' + path + '/sort-descending.svg)');
        },
        'text'
    )
    $.get(
        path + '/download-02.svg',
        function (t) {
            let iconClass = $('i.download-ico');
            $(iconClass).html(t);
            let i = $('i.download-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.download-ico').empty().html(i);
            $('html').css('--download-ico-svg', 'url(' + path + '/download-02.svg)');
        },
        'text'
    )
    $.get(
        path + '/excel.svg',
        function (t) {
            let iconClass = $('i.excel-ico');
            $(iconClass).html(t);
            let i = $('i.excel-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.excel-ico').empty().html(i);
            $('html').css('--excel-ico-svg', 'url(' + path + '/excel.svg)');
        },
        'text'
    )
    $.get(
        path + '/pdf.svg',
        function (t) {
            let iconClass = $('i.pdf-ico');
            $(iconClass).html(t);
            let i = $('i.pdf-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.pdf-ico').empty().html(i);
            $('html').css('--pdf-ico-svg', 'url(' + path + '/pdf.svg)');
        },
        'text'
    )
    $.get(
        path + '/briefcase.svg',
        function (t) {
            let iconClass = $('i.briefcase-ico');
            $(iconClass).html(t);
            let i = $('i.briefcase-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.briefcase-ico').empty().html(i);
            $('html').css('--briefcase-ico-svg', 'url(' + path + '/briefcase.svg)');
        },
        'text'
    )
    $.get(
        path + '/eye.svg',
        function (t) {
            let iconClass = $('i.eye-ico');
            $(iconClass).html(t);
            let i = $('i.eye-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.eye-ico').empty().html(i);
            $('html').css('--eye-ico-svg', 'url(' + path + '/eye.svg)');
        },
        'text'
    )
    $.get(
        path + '/eye-off.svg',
        function (t) {
            let iconClass = $('i.eye-off-ico');
            $(iconClass).html(t);
            let i = $('i.eye-off-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.eye-off-ico').empty().html(i);
            $('html').css('--eye-off-ico-svg', 'url(' + path + '/eye-off.svg)');
        },
        'text'
    )
    $.get(
        path + '/list.svg',
        function (t) {
            let iconClass = $('i.list-ico');
            $(iconClass).html(t);
            let i = $('i.list-ico svg').addClass('icon-svg').eq(0);
            $(iconClass).replaceWith(i);
            // $('i.eye-off-ico').empty().html(i);
            $('html').css('--list-ico-svg', 'url(' + path + '/list.svg)');
        },
        'text'
    )
}());
